> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rezora.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import contacts



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/v1/contacts/import/
openapi: 3.0.3
info:
  title: Rezora IO API
  version: 1.0.0
  description: >-
    Partner-safe Rezora API reference for authenticated customer and integration
    workflows.
servers:
  - url: https://api.rezora.io
    description: Production API
security: []
tags:
  - name: Billing & Credits
    description: Credit balances, transactions, and receipts.
  - name: Agents
    description: AI agent templates and active campaign-ready agents.
  - name: Contacts
    description: Contact groups, contacts, and imports.
  - name: Campaigns
    description: Campaign creation, dispatch, reporting, recordings, and call attempts.
  - name: Appointments & Calls
    description: Booked appointments and customer call records.
paths:
  /api/v1/contacts/import/:
    post:
      tags:
        - Contacts
      summary: Import contacts
      operationId: contacts_import
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactImportRequestSchema'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ContactImportRequestSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ContactImportRequestSchema'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactImportResponseSchema'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    ContactImportRequestSchema:
      type: object
      properties:
        groupName:
          type: string
        description:
          type: string
        csvData:
          type: array
          items:
            type: object
            additionalProperties: {}
        selectedHeaders:
          type: array
          items:
            type: string
      required:
        - csvData
        - groupName
    ContactImportResponseSchema:
      type: object
      properties:
        success:
          type: boolean
        totalImported:
          type: integer
        groupId:
          type: string
          format: uuid
      required:
        - groupId
        - success
        - totalImported
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````